## libfastahack 0.0+20160702

=== Makefile ===

# Use ?= to allow overriding from the env or command-line
CXX ?=		g++
CXXFLAGS ?=	-O3
PREFIX ?=	./stage
STRIP_CMD ?=	strip
INSTALL ?=	install -c
MKDIR ?=	mkdir -p

# Required flags that we shouldn't override
CXXFLAGS +=	-D_FILE_OFFSET_BITS=64

OBJS =	Fasta.o FastaHack.o split.o disorder.o

all:	fastahack

fastahack: $(OBJS)
	$(CXX) $(CXXFLAGS) $(OBJS) -o fastahack

FastaHack.o: Fasta.h FastaHack.cpp
	$(CXX) $(CXXFLAGS) -c FastaHack.cpp

Fasta.o: Fasta.h Fasta.cpp
	$(CXX) $(CXXFLAGS) -c Fasta.cpp

split.o: split.h split.cpp
	$(CXX) $(CXXFLAGS) -c split.cpp

disorder.o: disorder.c disorder.h
	$(CXX) $(CXXFLAGS) -c disorder.c

install: fastahack
	$(MKDIR) $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) fastahack $(DESTDIR)$(PREFIX)/bin

install-strip: install
	$(STRIP_CMD) $(DESTDIR)$(PREFIX)/bin/fastahack

clean:
	rm -rf fastahack *.o stage

.PHONY: clean

## libfastahack 0.0%2B20160702

=== debian/control ===
Source: libfastahack
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               d-shlibs,
               libdisorder-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libfastahack.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/libfastahack.git
Homepage: https://github.com/ekg/fastahack

Package: libfastahack0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: library for indexing and sequence extraction from FASTA files (lib)
 fastahack is a small application for indexing and extracting sequences and
 subsequences from FASTA files.  The included Fasta.cpp library provides a FASTA
 reader and indexer that can be embedded into applications which would benefit
 from directly reading subsequences from FASTA files.  The library automatically
 handles index file generation and use.
 .
 Features:
  * FASTA index (.fai) generation for FASTA files
  * Sequence extraction
  * Subsequence extraction
  * Sequence statistics (currently only entropy is provided)
 .
 Sequence and subsequence extraction use fseek64 to provide fastest-possible
 extraction without RAM-intensive file loading operations.  This makes fastahack
 a useful tool for bioinformaticists who need to quickly extract many
 subsequences from a reference FASTA sequence.
 .
 This package contains the dynamic library.

Package: libfastahack-dev
Architecture: any
Section: libdevel
Depends: libfastahack0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: library for indexing and sequence extraction from FASTA files (devel)
 fastahack is a small application for indexing and extracting sequences and
 subsequences from FASTA files.  The included Fasta.cpp library provides a FASTA
 reader and indexer that can be embedded into applications which would benefit
 from directly reading subsequences from FASTA files.  The library automatically
 handles index file generation and use.
 .
 Features:
  * FASTA index (.fai) generation for FASTA files
  * Sequence extraction
  * Subsequence extraction
  * Sequence statistics (currently only entropy is provided)
 .
 Sequence and subsequence extraction use fseek64 to provide fastest-possible
 extraction without RAM-intensive file loading operations.  This makes fastahack
 a useful tool for bioinformaticists who need to quickly extract many
 subsequences from a reference FASTA sequence.
 .
 This is the development package containing the statically linked
 library and the header files.

Package: fastahack
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: utility for indexing and sequence extraction from FASTA files
 fastahack is a small application for indexing and extracting sequences and
 subsequences from FASTA files.  The included Fasta.cpp library provides a FASTA
 reader and indexer that can be embedded into applications which would benefit
 from directly reading subsequences from FASTA files.  The library automatically
 handles index file generation and use.
 .
 Features:
  * FASTA index (.fai) generation for FASTA files
  * Sequence extraction
  * Subsequence extraction
  * Sequence statistics (currently only entropy is provided)
 .
 Sequence and subsequence extraction use fseek64 to provide fastest-possible
 extraction without RAM-intensive file loading operations.  This makes fastahack
 a useful tool for bioinformaticists who need to quickly extract many
 subsequences from a reference FASTA sequence.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')

# export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@ --with autoreconf

override_dh_install:
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
		    --movedev debian/tmp/usr/include/* usr/include \
		    --movedev "debian/tmp/usr/lib/*/pkgconfig/*.pc" usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
		    debian/tmp/usr/lib/*/$(DEBPKGNAME).so

get-orig-source:
	. debian/get-orig-source

## libfastahack 0.0+20160702

=== debian/changelog ===
libfastahack (0.0+20160702-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Wed, 13 Jul 2016 09:48:49 +0200

libfastahack (0.0+20160702-1) unstable; urgency=medium

  * Initial release (Closes: #827978)

 -- Andreas Tille <tille@debian.org>  Tue, 05 Jul 2016 15:25:05 +0200

## libfastahack 0.0+git20160702.bbc645f+dfsg

=== debian/changelog ===
libfastahack (0.0+git20160702.bbc645f+dfsg-6) unstable; urgency=medium

  * Set some symbols optional to make build more robust
    Closes: #915271
  * Secure URI in copyright format

 -- Andreas Tille <tille@debian.org>  Sun, 02 Dec 2018 16:32:55 +0100

libfastahack (0.0+git20160702.bbc645f+dfsg-5) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Make some symbols on ppc64el as optional, when built with -O3
    (e.g. Ubuntu)

  [ Andreas Tille ]
  * Install missing header file split.h
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Thu, 13 Sep 2018 19:29:30 +0200

libfastahack (0.0+git20160702.bbc645f+dfsg-4) unstable; urgency=medium

  * Fix symbols file for mips64el and ppc64el
    Closes: #907210

 -- Andreas Tille <tille@debian.org>  Sun, 26 Aug 2018 21:15:36 +0200

libfastahack (0.0+git20160702.bbc645f+dfsg-3) unstable; urgency=medium

  * Provide symbols for selected architectures only
    Closes: #907210

 -- Andreas Tille <tille@debian.org>  Sat, 25 Aug 2018 17:40:36 +0200

libfastahack (0.0+git20160702.bbc645f+dfsg-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * Fix Makefile.am
    Closes: #906481

  [ Andreas Tille ]
  * Standards-Version: 4.2.0
  * d/rules: Drop --no-parallel
  * drop +dfsg from symbols file

 -- Andreas Tille <tille@debian.org>  Sat, 18 Aug 2018 07:54:07 +0200

libfastahack (0.0+git20160702.bbc645f+dfsg-1) unstable; urgency=medium

  * d/watch: Use git mode
  * drop now unneeded get-orig-source target
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * Force --no-parallel since package would not build otherwise
  * hardening=+all
  * d/rules: do not parse d/changelog
  * Add symbols file

 -- Andreas Tille <tille@debian.org>  Sat, 14 Jul 2018 08:25:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 11~),
                d-shlibs,
                libdisorder-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libfastahack.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/libfastahack.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/med-team/libfastahack
+Vcs-Git: https://salsa.debian.org/med-team/libfastahack.git
 Homepage: https://github.com/ekg/fastahack
 
 Package: libfastahack0

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_install:
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
		    --movedev debian/tmp/usr/include/* usr/include \
		    --movedev "debian/tmp/usr/lib/*/pkgconfig/*.pc" usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
		    debian/tmp/usr/lib/*/*.so

override_dh_makeshlibs:
ifeq ($(DEB_BUILD_ARCH),$(filter $(DEB_BUILD_ARCH), amd64 arm64 mips64el ppc64el ia64 kfreebsd-amd64 risc64 sparc64))
	echo "On architecture $(DEB_BUILD_ARCH) symbols file is provided"
else
	echo "Symbols file for architecture $(DEB_BUILD_ARCH) is not provided"
	mkdir -p debian/hidesymbols
	mv debian/*.symbols debian/hidesymbols
endif
	dh_makeshlibs
ifeq ($(DEB_BUILD_ARCH),$(filter $(DEB_BUILD_ARCH), amd64 arm64 mips64el ppc64el ia64 kfreebsd-amd64 risc64 sparc64))
	echo "dh_makeshlibs for architecture $(DEB_BUILD_ARCH) including symbols done"
else
	# restore original debian/ dir to enable building twice in a row
	mv debian/hidesymbols/*.symbols debian
	rmdir debian/hidesymbols
endif

=== debian/watch ===
version=4

opts="mode=git,pretty=0.0+git%cd.%h,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
    https://github.com/ekg/fastahack.git HEAD

# Issue asking for release tags:
#    https://github.com/ekg/fastahack/issues/14

## libfastahack 1.0.0%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_installman:
	help2man --no-discard-stderr --no-info --version-string=$(DEB_VERSION) \
		--name="fastahack - indexing and extracting sequences and subsequences from FASTA files" \
		./fastahack > debian/fastahack.1
	dh_installman

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	./fastahack tests/correct.fasta 2>&1 | grep -v ERROR
	./fastahack tests/crlf.fasta 2>&1 | grep -v ERROR
	./fastahack tests/embedded_newline.fasta 2>&1 | grep 'ERROR: embedded newline'
	./fastahack tests/mismatched_lines.fasta 2>&1 | grep 'ERROR: mismatched line lengths'
	./fastahack tests/trailing_newlines.fasta 2>&1 | grep -v ERROR
	rm tests/*.fai
endif

override_dh_install:
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
		    --movedev debian/tmp/usr/include/* usr/include \
		    --movedev "debian/tmp/usr/lib/*/pkgconfig/*.pc" usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
		    debian/tmp/usr/lib/*/*.so

override_dh_makeshlibs:
ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH), amd64 arm64 mips64el ppc64el ia64 kfreebsd-amd64 risc64 sparc64))
	echo "On architecture $(DEB_HOST_ARCH) symbols file is provided"
else
	echo "Symbols file for architecture $(DEB_HOST_ARCH) is not provided"
	mkdir -p debian/hidesymbols
	mv debian/*.symbols debian/hidesymbols
endif
	dh_makeshlibs
ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH), amd64 arm64 mips64el ppc64el ia64 kfreebsd-amd64 risc64 sparc64))
	echo "dh_makeshlibs for architecture $(DEB_HOST_ARCH) including symbols done"
else
	# restore original debian/ dir to enable building twice in a row
	mv debian/hidesymbols/*.symbols debian
	rmdir debian/hidesymbols
endif

## libfastahack 1.0.0+dfsg

=== debian/changelog ===
libfastahack (1.0.0+dfsg-10) unstable; urgency=medium

  * d/control: add myself to uploaders.
  * d/libfastahack0.symbols: mark GCC 12 specific symbols optional.
    (Closes: #1012976)
  * d/control: declare compliance to standards version 4.6.1.

 -- Étienne Mollier <emollier@debian.org>  Thu, 14 Jul 2022 10:28:30 +0200

libfastahack (1.0.0+dfsg-9) unstable; urgency=medium

  * Team upload.
  * Mark another symbol as optional for GCC 11. Closes: #984104

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 15 Oct 2021 14:19:02 +0200

libfastahack (1.0.0+dfsg-8) unstable; urgency=medium

  [ Steffen Moeller ]
  * Fixed d/watch (github path change)

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)
  * Apply multi-arch hints.
    + libfastahack-dev, libfastahack0: Add Multi-Arch: same.

 -- Andreas Tille <tille@debian.org>  Thu, 02 Sep 2021 06:41:58 +0200

libfastahack (1.0.0+dfsg-7) unstable; urgency=medium

  * make .symbols file more resilient in handling of template symbols
    (Thanks for the patch to Steve Langasek)
    Closes: #976999
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 10 Dec 2020 12:31:30 +0100

libfastahack (1.0.0+dfsg-6) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Remove libfastahack.la from build to make dh_missing happy
  * Update symbols for gcc-10
    Closes: #957438

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jul 2020 14:51:27 +0200

libfastahack (1.0.0+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Breaks+Replaces: libfastahack0 (<< 1.0.0+dfsg-4)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 10 Jan 2020 19:40:17 +0100

libfastahack (1.0.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Generate a manual page with help2man
  * Run some basic tests
  * Use those tests as an autopkgtest

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 08 Jan 2020 10:55:37 +0100

libfastahack (1.0.0+dfsg-3) unstable; urgency=medium

  [ Steve Langasek ]
  * mark an additional templated symbol optional for compatibility with gcc -O3
    Closes: #948398

  [ Andreas Tille ]
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Wed, 08 Jan 2020 10:11:02 +0100

libfastahack (1.0.0+dfsg-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Fix build/host confusion. (Closes: #939512)

  [ Andreas Tille ]
  * Remove obsolete fields Name from debian/upstream/metadata.

 -- Andreas Tille <tille@debian.org>  Mon, 09 Sep 2019 13:33:41 +0200

libfastahack (1.0.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Set upstream metadata fields: Name.
  * Add the one new symbol

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 04 Sep 2019 15:37:29 +0900

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,25 @@
 Source: libfastahack
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                d-shlibs,
-               libdisorder-dev
-Standards-Version: 4.2.1
+               libdisorder-dev,
+               help2man
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/libfastahack
 Vcs-Git: https://salsa.debian.org/med-team/libfastahack.git
 Homepage: https://github.com/ekg/fastahack
+Rules-Requires-Root: no
 
 Package: libfastahack0
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Multi-Arch: same
 Description: library for indexing and sequence extraction from FASTA files (lib)
  fastahack is a small application for indexing and extracting sequences and
  subsequences from FASTA files.  The included Fasta.cpp library provides a FASTA
@@ -40,8 +44,8 @@
 Architecture: any
 Section: libdevel
 Depends: libfastahack0 (= ${binary:Version}),
-         ${shlibs:Depends},
          ${misc:Depends}
+Multi-Arch: same
 Description: library for indexing and sequence extraction from FASTA files (devel)
  fastahack is a small application for indexing and extracting sequences and
  subsequences from FASTA files.  The included Fasta.cpp library provides a FASTA
@@ -67,6 +71,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Breaks: libfastahack0 (<< 1.0.0+dfsg-4)
+Replaces: libfastahack0 (<< 1.0.0+dfsg-4)
 Description: utility for indexing and sequence extraction from FASTA files
  fastahack is a small application for indexing and extracting sequences and
  subsequences from FASTA files.  The included Fasta.cpp library provides a FASTA

=== debian/rules ===
--- 
+++ 
@@ -33,6 +33,7 @@
 		    --movedev debian/tmp/usr/include/* usr/include \
 		    --movedev "debian/tmp/usr/lib/*/pkgconfig/*.pc" usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
 		    debian/tmp/usr/lib/*/*.so
+	find debian -name libfastahack.la -delete
 
 override_dh_makeshlibs:
 ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH), amd64 arm64 mips64el ppc64el ia64 kfreebsd-amd64 risc64 sparc64))

=== debian/tests/control ===
Test-Command: /usr/bin/fastahack tests/correct.fasta 2>&1 | grep -v ERROR && /usr/bin/fastahack tests/crlf.fasta 2>&1 | grep -v ERROR && /usr/bin/fastahack tests/embedded_newline.fasta 2>&1 | grep 'ERROR: embedded newline' && /usr/bin/fastahack tests/mismatched_lines.fasta 2>&1 | grep 'ERROR: mismatched line lengths' && /usr/bin/fastahack tests/trailing_newlines.fasta 2>&1 | grep -v ERROR
Depends: fastahack
Restrictions: allow-stderr
